POST api/medistreamprogramstepapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamProgramStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

program_id

globally unique identifier

Required

code

integer

Required

Range: inclusive between 0 and ∞

name

string

Required

medistream_program_step_type_id

globally unique identifier

Required

active

boolean

Required

Request Formats

application/json, text/json

Sample:
{
  "id": "3755735a-8a70-4c3e-b561-230a9ebfcf7a",
  "program_id": "629f4034-9433-4c30-bd9b-7b5f22bc7411",
  "code": 3,
  "name": "sample string 4",
  "medistream_program_step_type_id": "8f3d704f-45e8-41ed-9eaf-bf3bca6abf08",
  "active": true
}

application/xml, text/xml

Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>3</code>
  <id>3755735a-8a70-4c3e-b561-230a9ebfcf7a</id>
  <medistream_program_step_type_id>8f3d704f-45e8-41ed-9eaf-bf3bca6abf08</medistream_program_step_type_id>
  <name>sample string 4</name>
  <program_id>629f4034-9433-4c30-bd9b-7b5f22bc7411</program_id>
</medistream_program_step>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MediStreamProgramStepViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"2c6e090d-10fe-4529-a5f8-f096106cdbcd"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2c6e090d-10fe-4529-a5f8-f096106cdbcd</guid>